Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QInputEvent Class Reference

The QInputEvent class is the base class for events that describe user input. More...

    #include <QInputEvent>

Inherits QEvent.

Inherited by QMouseEvent, QWheelEvent, QTabletEvent, QKeyEvent, QCloseEvent, QContextMenuEvent, and QIMEvent.

- List of all members, including inherited members

### Public Functions

- void accept ()
- void ignore ()
- bool isAccepted () const

- 2 public functions inherited from QEvent

## Detailed Description

The QInputEvent class is the base class for events that describe user input.

## Member Function Documentation

### void QInputEvent::accept ()

Setting the accept parameter indicates that the event receiver wants the event. Unwanted events might be propagated to the parent widget.

By default, the accept flag is set.

See also ignore().

### void QInputEvent::ignore ()

Clears the accept flag parameter of the event object.

Clearing the accept parameter indicates that the event receiver does not want the event. Unwanted events might be propgated to the parent widget.

By default, the accept flag is set.

See also accept().

### bool QInputEvent::isAccepted () const

Returns the accept flag of the event object. It is set by default.

See also accept() and ignore().